# Integrations

## POST /api/v1/integrations/kkem/authorization/

> Create K K E M Authorization.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/integrations/kkem/authorization/":{"post":{"operationId":"integrations_kkem_authorization_create","description":"Create K K E M Authorization.","tags":["Integrations"],"responses":{"200":{"description":"Authorization created; confirmation email sent."}}}}}}
```

## PATCH /api/v1/integrations/kkem/authorization/

> Partially update K K E M Authorization.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"KkemAuthorizationPatchResponse":{"type":"object","properties":{"accessToken":{"type":"string"},"refreshToken":{"type":"string"}},"required":["accessToken","refreshToken"]}}},"paths":{"/api/v1/integrations/kkem/authorization/":{"patch":{"operationId":"integrations_kkem_authorization_partial_update","description":"Partially update K K E M Authorization.","tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/KkemAuthorizationPatchResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/integrations/kkem/authorization/{token}/

> Create K K E M Authorization.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/integrations/kkem/authorization/{token}/":{"post":{"operationId":"integrations_kkem_authorization_create_2","description":"Create K K E M Authorization.","parameters":[{"in":"path","name":"token","schema":{"type":"string"},"required":true}],"tags":["Integrations"],"responses":{"200":{"description":"Authorization created; confirmation email sent."}}}}}}
```

## PATCH /api/v1/integrations/kkem/authorization/{token}/

> Partially update K K E M Authorization.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"KkemAuthorizationPatchResponse":{"type":"object","properties":{"accessToken":{"type":"string"},"refreshToken":{"type":"string"}},"required":["accessToken","refreshToken"]}}},"paths":{"/api/v1/integrations/kkem/authorization/{token}/":{"patch":{"operationId":"integrations_kkem_authorization_partial_update_2","description":"Partially update K K E M Authorization.","parameters":[{"in":"path","name":"token","schema":{"type":"string"},"required":true}],"tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/KkemAuthorizationPatchResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/integrations/kkem/hackathon-stats/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/integrations/kkem/hackathon-stats/":{"get":{"operationId":"integrations_kkem_hackathon_stats_retrieve","tags":["Integrations"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/integrations/kkem/login/

> Create K K E M Integration Login.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"KkemIntegrationLoginResponse":{"type":"object","properties":{"accessToken":{"type":"string"},"refreshToken":{"type":"string"},"data":{"allOf":[{"$ref":"#/components/schemas/KkemIntegrationLoginDataResponse"}],"nullable":true}},"required":["accessToken","refreshToken"]},"KkemIntegrationLoginDataResponse":{"type":"object","properties":{"email":{"type":"string"},"full_name":{"type":"string"},"muid":{"type":"string"},"link_id":{"type":"string"},"verified":{"type":"boolean"}},"required":["email","full_name","link_id","muid","verified"]}}},"paths":{"/api/v1/integrations/kkem/login/":{"post":{"operationId":"integrations_kkem_login_create","description":"Create K K E M Integration Login.","tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/KkemIntegrationLoginResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/integrations/kkem/user/{encrypted\_data}/

> Retrieve K K E Mdetails Fetch.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/integrations/kkem/user/{encrypted_data}/":{"get":{"operationId":"integrations_kkem_user_retrieve","description":"Retrieve K K E Mdetails Fetch.","parameters":[{"in":"path","name":"encrypted_data","schema":{"type":"string"},"required":true}],"tags":["Integrations"],"responses":{"200":{"description":"KKEM jobseeker details returned from the KKEM API."}}}}}}
```

## GET /api/v1/integrations/kkem/user/status/{encrypted\_data}/

> Retrieve K K E M User Status.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"KKEMUser":{"type":"object","properties":{"mu_id":{"type":"string"},"email":{"type":"string","format":"email","maxLength":200},"jsid":{"type":"string","readOnly":true},"total_karma":{"type":"string","readOnly":true},"interest_groups":{"type":"string","readOnly":true}},"required":["email","interest_groups","jsid","mu_id","total_karma"]}}},"paths":{"/api/v1/integrations/kkem/user/status/{encrypted_data}/":{"get":{"operationId":"integrations_kkem_user_status_retrieve","description":"Retrieve K K E M User Status.","parameters":[{"in":"path","name":"encrypted_data","schema":{"type":"string"},"required":true}],"tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/KKEMUser"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/integrations/kkem/users/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/integrations/kkem/users/":{"get":{"operationId":"integrations_kkem_users_retrieve","tags":["Integrations"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/integrations/kkem/users/{muid}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/integrations/kkem/users/{muid}/":{"get":{"operationId":"integrations_kkem_users_retrieve_2","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Integrations"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/integrations/qseverse/connected-users/

> Retrieve Get All Connected Users.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"QseverseConnectedUserItem":{"type":"object","properties":{"did":{"type":"string"},"name":{"type":"string","nullable":true},"email":{"type":"string","format":"email","nullable":true}},"required":["did"]}}},"paths":{"/api/v1/integrations/qseverse/connected-users/":{"get":{"operationId":"integrations_qseverse_connected_users_list","description":"Retrieve Get All Connected Users.","tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/QseverseConnectedUserItem"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/integrations/qseverse/connected-users/search

> Retrieve Get Connected User.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"QseverseConnectedUserDidsResponse":{"type":"object","properties":{"dids":{"type":"array","items":{"type":"string"}}},"required":["dids"]}}},"paths":{"/api/v1/integrations/qseverse/connected-users/search":{"get":{"operationId":"integrations_qseverse_connected_users_search_retrieve","description":"Retrieve Get Connected User.","tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/QseverseConnectedUserDidsResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/integrations/qseverse/issue-vc/

> Create Issue Verifiable Credential.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"IssueVC":{"type":"object","properties":{"subject_info":{"$ref":"#/components/schemas/SubjectInfo"},"credential_info":{"$ref":"#/components/schemas/CredentialInfo"},"template_id":{"type":"string"}},"required":["credential_info","subject_info","template_id"]},"SubjectInfo":{"type":"object","properties":{"type":{"type":"string"},"did":{"type":"string"},"full_name":{"type":"string"},"email":{"type":"string","format":"email"},"phone":{"type":"string"}},"required":["did","email","full_name","type"]},"CredentialInfo":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"}},"required":["description","name"]}}},"paths":{"/api/v1/integrations/qseverse/issue-vc/":{"post":{"operationId":"integrations_qseverse_issue_vc_create","description":"Create Issue Verifiable Credential.","tags":["Integrations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueVC"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/IssueVC"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/IssueVC"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/IssueVC"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/integrations/qseverse/qs-credentials/

> Retrieve Get Q S Credentials.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"QseverseCredentialItem":{"type":"object","properties":{"credentialId":{"type":"string"},"templateId":{"type":"string"},"issuedTo":{"type":"string","nullable":true},"issuedAt":{"type":"string","nullable":true},"status":{"type":"string","nullable":true}},"required":["credentialId","templateId"]}}},"paths":{"/api/v1/integrations/qseverse/qs-credentials/":{"get":{"operationId":"integrations_qseverse_qs_credentials_list","description":"Retrieve Get Q S Credentials.","tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/QseverseCredentialItem"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/integrations/wadhwani/auth-token/

> Create Wadhwani Auth Token.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"WadhwaniAuthTokenResponse":{"type":"object","properties":{"access_token":{"type":"string"},"token_type":{"type":"string"},"expires_in":{"type":"integer"},"scope":{"type":"string"}},"required":["access_token","expires_in","token_type"]}}},"paths":{"/api/v1/integrations/wadhwani/auth-token/":{"post":{"operationId":"integrations_wadhwani_auth_token_create","description":"Create Wadhwani Auth Token.","tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/WadhwaniAuthTokenResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/integrations/wadhwani/course-details/

> Create Wadhwani Course Details.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"WadhwaniCourseDetailsResponse":{"type":"object","properties":{"status":{"type":"string"},"courses":{"type":"array","items":{"$ref":"#/components/schemas/WadhwaniCourseItem"}}},"required":["status"]},"WadhwaniCourseItem":{"type":"object","properties":{"courseRootId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"thumbnailUrl":{"type":"string","nullable":true}},"required":["courseRootId","name"]}}},"paths":{"/api/v1/integrations/wadhwani/course-details/":{"post":{"operationId":"integrations_wadhwani_course_details_create","description":"Create Wadhwani Course Details.","tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/WadhwaniCourseDetailsResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/integrations/wadhwani/course-enroll-status/

> Create Wadhwani Course Enroll Status.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"WadhwaniCourseEnrollStatusResponse":{"type":"object","properties":{"status":{"type":"string"},"enrolledCourses":{"type":"array","items":{"$ref":"#/components/schemas/WadhwaniEnrolledCourseItem"}}},"required":["status"]},"WadhwaniEnrolledCourseItem":{"type":"object","properties":{"courseRootId":{"type":"string"},"name":{"type":"string"},"enrollmentDate":{"type":"string","nullable":true},"completionStatus":{"type":"string","nullable":true}},"required":["courseRootId","name"]}}},"paths":{"/api/v1/integrations/wadhwani/course-enroll-status/":{"post":{"operationId":"integrations_wadhwani_course_enroll_status_create","description":"Create Wadhwani Course Enroll Status.","tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/WadhwaniCourseEnrollStatusResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/integrations/wadhwani/course-quiz-data/

> Create Wadhwani Course Quiz Data.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"WadhwaniCourseQuizDataResponse":{"type":"object","properties":{"status":{"type":"string"},"quizData":{"type":"array","items":{"$ref":"#/components/schemas/WadhwaniQuizItem"}}},"required":["status"]},"WadhwaniQuizItem":{"type":"object","properties":{"quizId":{"type":"string"},"quizName":{"type":"string"},"score":{"type":"number","format":"double","nullable":true},"totalMarks":{"type":"number","format":"double","nullable":true},"attemptDate":{"type":"string","nullable":true}},"required":["quizId","quizName"]}}},"paths":{"/api/v1/integrations/wadhwani/course-quiz-data/":{"post":{"operationId":"integrations_wadhwani_course_quiz_data_create","description":"Create Wadhwani Course Quiz Data.","tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/WadhwaniCourseQuizDataResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/integrations/wadhwani/user-login/

> Create Wadhwani User Login.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"WadhwaniUserLoginResponse":{"type":"object","properties":{"status":{"type":"string"},"accessToken":{"type":"string"},"expiresIn":{"type":"integer"},"userCreated":{"type":"boolean"},"courseEnrolled":{"type":"boolean"},"redirectionUrl":{"type":"string"}},"required":["status"]}}},"paths":{"/api/v1/integrations/wadhwani/user-login/":{"post":{"operationId":"integrations_wadhwani_user_login_create","description":"Create Wadhwani User Login.","tags":["Integrations"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/WadhwaniUserLoginResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
